Runs
GET
/organizations/{organizationId}/approvals/{approvalId}/runs
List approval flow runs
查询参数
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Filter approval runs by status
Possible values: pending, approved, denied, canceled
响应载荷
results
array of object
显示子属性
results.id
string
必填
results.approvalFlowId
string
必填
results.organizationId
string
results.workspaceId
string
results.status
string
必填
Possible values: pending, approved, denied, canceled
results.activeStep
number
results.previousObject
object
results.object
object
results.invoker
object
Reference to an entity that invoked the run for this flow.
显示子属性
results.invoker.type
string
必填
Type of entity that invoked the run.
Possible values: user, accesskey, contact
results.invoker.id
string
必填
ID of the entity that invoked the run.
results.tags
array of object
必填
显示子属性
results.tags.key
string
必填
results.tags.value
string
必填
results.results
array of object
必填
显示子属性
results.results.reviewer
object
Reference to an entity that can review the runs for this flow.
显示子属性
results.results.reviewer.type
string
必填
Possible values: user
results.results.reviewer.id
string
必填
results.results.userId
string
results.results.result
string
必填
Possible values: approved, rejected
results.results.comment
string
results.createdAt
string
必填
results.updatedAt
string
必填
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}
Get approval flow run
响应载荷
id
string
必填
approvalFlowId
string
必填
organizationId
string
workspaceId
string
status
string
必填
Possible values: pending, approved, denied, canceled
activeStep
number
previousObject
object
object
object
invoker
object
Reference to an entity that invoked the run for this flow.
显示子属性
invoker.type
string
必填
Type of entity that invoked the run.
Possible values: user, accesskey, contact
invoker.id
string
必填
ID of the entity that invoked the run.
tags
array of object
必填
显示子属性
tags.key
string
必填
tags.value
string
必填
results
array of object
必填
显示子属性
results.reviewer
object
Reference to an entity that can review the runs for this flow.
显示子属性
results.reviewer.type
string
必填
Possible values: user
results.reviewer.id
string
必填
results.userId
string
results.result
string
必填
Possible values: approved, rejected
results.comment
string
createdAt
string
必填
updatedAt
string
必填
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'